Bug 149344 - Web Inspector: inspect(aFunction) should jump to function definition
Summary: Web Inspector: inspect(aFunction) should jump to function definition
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Local Build
Hardware: All All
: P2 Normal
Assignee: Joseph Pecoraro
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-09-18 07:22 PDT by Nikita Vasilyev
Modified: 2017-08-02 15:01 PDT (History)
7 users (show)

See Also:


Attachments
[Animated GIF] Chrome DevTools inspect(aFunction) (175.50 KB, image/gif)
2015-09-18 07:22 PDT, Nikita Vasilyev
no flags Details
[PATCH] Proposed Fix (8.56 KB, patch)
2017-07-21 14:04 PDT, Joseph Pecoraro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Vasilyev 2015-09-18 07:22:37 PDT
Created attachment 261501 [details]
[Animated GIF] Chrome DevTools inspect(aFunction)

In Chrome, typing inspect(aFunction) in the console navigates to the function definition. I think we should do the same.
Comment 1 Radar WebKit Bug Importer 2015-09-18 07:22:55 PDT
<rdar://problem/22757513>
Comment 2 Joseph Pecoraro 2017-07-21 13:59:17 PDT
<rdar://problem/11563607>
Comment 3 Joseph Pecoraro 2017-07-21 14:04:22 PDT
Created attachment 316118 [details]
[PATCH] Proposed Fix
Comment 4 Matt Baker 2017-07-21 15:12:32 PDT
Comment on attachment 316118 [details]
[PATCH] Proposed Fix

r=me. Nice tests.
Comment 5 Matt Baker 2017-07-21 15:17:01 PDT
I was surprised that the console drawer was shown in addition to the source location. It might be a better experience to leave the console collapsed and just show the source location. inspect(document.head) has the same behavior though, so we should just be consistent.
Comment 6 WebKit Commit Bot 2017-07-21 15:41:30 PDT
Comment on attachment 316118 [details]
[PATCH] Proposed Fix

Clearing flags on attachment: 316118

Committed r219749: <http://trac.webkit.org/changeset/219749>
Comment 7 WebKit Commit Bot 2017-07-21 15:41:31 PDT
All reviewed patches have been landed.  Closing bug.